mod handshake;

struct TestSkeleton {
    tmpfile: tempfile::NamedTempFile,
}

impl TestSkeleton {
    fn new() -> Self {
        Self {
            tmpfile: tempfile::NamedTempFile::new().expect("couldn't create temporary file?"),
        }
    }

    pub fn socket_path(&self) -> &std::path::Path {
        self.tmpfile.path()
    }
}
